#!/bin/bash

# Simple script to run the Transmission RSS Manager application

GREEN='\033[0;32m'
YELLOW='\033[1;33m'
RED='\033[0;31m'
NC='\033[0m' # No Color

# Check if the app directory exists
APP_DIR="$HOME/transmission-rss-test"
if [ ! -d "$APP_DIR" ]; then
    echo -e "${YELLOW}Application directory not found. Did you run the test installer?${NC}"
    echo -e "${YELLOW}Running test installer first...${NC}"
    bash /opt/develop/transmission-rss-manager/test-installer.sh
    exit 0
fi

# Navigate to the app directory
cd "$APP_DIR"

# Run the application
echo -e "${GREEN}Starting Transmission RSS Manager...${NC}"
echo -e "${GREEN}The web interface will be available at: http://localhost:5000${NC}"
echo -e "${YELLOW}Press Ctrl+C to stop the application${NC}"

dotnet run